Bug 1426885 - Review Request: golang-github-spf13-fsync - fsync keeps files and directories in sync, golang library
Summary: Review Request: golang-github-spf13-fsync - fsync keeps files and directories...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2017-02-26 03:59 UTC by Frederico Lima
Modified: 2017-06-11 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-11 16:15:32 UTC
Type: Bug
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Frederico Lima 2017-02-26 03:59:17 UTC
Spec URL: https://fredlima.fedorapeople.org/packaging/golang-github-spf13-fsync.spec
SRPM URL: https://fredlima.fedorapeople.org/packaging/golang-github-spf13-fsync-0-0.1.gitcb2da33.fc26.src.rpm

Description: An library for other golang packages: fsync keeps files and directories in sync. 

Fedora Account System Username: fredlima

Comment 1 Athos Ribeiro 2017-03-04 04:52:58 UTC
Hi Fred,

There's a problem rpmlint caught:

golang-github-spf13-fsync.src: W: summary-ended-with-dot C Keeps files or directories in sync.

Remember, summary should end without a dot and the description should end with a dot.

Please, fix that before uploading.

Package looks good. Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-spf13-fsync-devel-0-0.1.gitcb2da33.fc26.noarch.rpm
          golang-github-spf13-fsync-unit-test-devel-0-0.1.gitcb2da33.fc26.x86_64.rpm
          golang-github-spf13-fsync-0-0.1.gitcb2da33.fc26.src.rpm
golang-github-spf13-fsync-devel.noarch: W: summary-ended-with-dot C Keeps files or directories in sync.
golang-github-spf13-fsync.src: W: summary-ended-with-dot C Keeps files or directories in sync.
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-spf13-fsync-devel.noarch: W: summary-ended-with-dot C Keeps files or directories in sync.
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
golang-github-spf13-fsync-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-spf13-fsync-devel

golang-github-spf13-fsync-devel (rpmlib, GLIBC filtered):
    golang(github.com/spf13/afero)



Provides
--------
golang-github-spf13-fsync-unit-test-devel:
    golang-github-spf13-fsync-unit-test-devel
    golang-github-spf13-fsync-unit-test-devel(x86-64)

golang-github-spf13-fsync-devel:
    golang(github.com/spf13/fsync)
    golang-github-spf13-fsync-devel



Source checksums
----------------
https://github.com/spf13/fsync/archive/cb2da332d00cbc04e4f3f677520dc3e7cc11874b/fsync-cb2da33.tar.gz :
  CHECKSUM(SHA256) this package     : 3d39a5a2d1d966cfe2aae6556de611776474c2cf98ea144988645bac3fa8b630
  CHECKSUM(SHA256) upstream package : 3d39a5a2d1d966cfe2aae6556de611776474c2cf98ea144988645bac3fa8b630

Comment 2 Gwyn Ciesla 2017-03-06 15:29:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-spf13-fsync

Comment 3 Fedora Update System 2017-03-08 02:24:05 UTC
golang-github-spf13-fsync-0-0.1.gitcb2da33.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6197309524

Comment 4 Fedora Update System 2017-03-10 23:21:21 UTC
golang-github-spf13-fsync-0-0.1.gitcb2da33.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6197309524

Comment 5 Fedora Update System 2017-06-11 16:15:32 UTC
golang-github-spf13-fsync-0-0.1.gitcb2da33.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.